ISSPACE(3)

NAME
isspace - white-space character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isspace(int c);

DESCRIPTION
The isspace() function tests for the standard white-space characters for which isalnum(3) is false. The standard white-space characters are the following:

‘ ’ Space character.
\f  Form feed.
\n  New-line.
\r  Carriage return.
\t  Horizontal tab.
\v  Vertical tab.

In the ``C'' locale, isspace() returns true only for the standard white-space characters.

RETURN VALUES
The isspace() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isspace() function conforms to ansiC.

CAVEATS
The argument to isspace() must be EOF or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.